Subject: Re: router LSA with unknown link type

From: Vishwas Manral <[email-masked]>
Date: Thu, 25 Nov 2004 21:48:07 -0800

Hi Acee,

I think we must not forget there can be malicious violations of the
protocol too, as Tony rightly specified we need to specify the behavior
when unexpected or corrupt data is received.

As you stated, I intend to post a short draft on this soon.

Thanks,
Vishwas
-----Original Message-----
From: Mailing List [mailto:[email-masked]] On Behalf Of Acee
Lindem
Sent: Thursday, November 25, 2004 10:44 PM
To: [email-masked]
Subject: Re: router LSA with unknown link type

All,
While it would have been better if RFC 2328 did precisely specify what
to do with unknown link types the fact of the matter is that it doesn't.
IMHO,
we'd need a short draft in order to formally specify this (or concensus
and inclusion
in the RFC 2740 respin). At this point, the implementation(s) that
generate(s)
the unknown link types is/are the ones in violation of the protocol.

Speaking as a WG member, I really don't like the idea of extending the
protocol
using unknown link types UNLESS the new types are in fact a different
type of
intra-area topological edge in the SPF graph. Once we open it up I can
envision people
trying to cram all sorts of non-link data in the router LSA. If we want
to extend the
protocol past what it does today there are cleaner ways of doing it
(e.g., new LSA types
supporting TLVs).

Thanks,
Acee

Nitin Kakkar wrote:

>IMHO I can think of two possibilities for this condition
>
>1) Some error in LSA creation, which overwrite link type field. : This
>should be reflected in checksum error and should be handled such.
>
>2) Some new invension which adds to the existing 4 types of Link Types
(or
>support for unknown link types): This Needs to have some common
>understanding (RFC etc) to handle this. I feel that they can be handled
like
>unknwon LSA's (store & forward only, no routing calc's)
>
>HTH
>Nitin
>
>-----Original Message-----
>From: Mailing List [mailto:[email-masked]]On Behalf Of Acee
>Lindem
>Sent: 2004Ae11OA24EO 21:37
>To: [email-masked]
>Subject: Re: router LSA with unknown link type
>
>
>Field, Brian wrote:
>
>
>
>>If a router receives a router LSA that contains several links and
>>for one of the links, the link type field is not known, should the
>>router ignore the entire router LSA or just skip this one link?
>>
>>
>>
>>
>Hi Brian,
>Unfortunately, the handling of unknown link types is not specifically
>defined in RFC 2328.
>Since links types 1-4 are the only ones defined an implementation
should
>probably log
>the invalid link type (with rate limiting). Whether it ignores the LSA
>or just the unknown link is
>implementation specific. If we were to move forward with link type
>extension it would not be
>backward compatible (at least not without knobs or other mechanisms).
>
>Thanks,
>Acee
>
>
>
>>Thanks
>>Brian
>>
>>
>>